GPASTE-CLIENT(1)

NAME
GPaste - A lightweight clipboard manager for the Gnome desktop

SYNOPSIS
[command |] gpaste-client [options...]

DESCRIPTION
GPaste is a modular clipboard management system with a fully DBus-based daemon, a CLI client and a gtk+ tray icon.

COMMANDS

gpaste-client [history]
    Display the history with indexes

gpaste-client history-size
    Display this size of the history

gpaste-client get-history
    Get the name of the current history

gpaste-client backup-history
    Backup the current history

gpaste-client switch-history
    Switch to another history

gpaste-client delete-history
    Delete a history

gpaste-client list-histories
    List available histories

gpaste-client add <text>
    Add the text into the history

gpaste-client add-password <name> <password>
    Add the name - password couple to the history

gpaste-client delete-password <name>
    Delete the password <name>

gpaste-client set-password <uuid> <name>
    Mark the item matching <uuid> from the history as being a password named <name>

gpaste-client rename-password <old name> <new name>
    Rename the password

gpaste-client get <uuid>
    Get the item matching <uuid> from the history

gpaste-client select <uuid>
    Put the item matching <uuid> from the history into the clipboard

gpaste-client replace <uuid> <contents>
    Replace the contents of the item matching <uuid> from the history with the provided one

gpaste-client merge [--decoration|-d <string>] [--separator|-s <string>] <uuid> … <uuid>
    Merge the items matching the uuids from the history and put the result in the clipboard
    If foo bar and baz are respectively uuids 5cb227f9-857d-490b-8ea1-f5f33f59f04e b4a7aa02-ef9a-4c29-b951-ebbdb4ed279b and 99da883b-0544-4cb4-92dd-733420a9db6d in history and you run
    gpaste-client merge -d '"' -s ',' 5cb227f9-857d-490b-8ea1-f5f33f59f04e b4a7aa02-ef9a-4c29-b951-ebbdb4ed279b 99da883b-0544-4cb4-92dd-733420a9db6d
    You will end up with "foo","bar","baz" in your clipboard

gpaste-client delete <uuid>
    Delete the item matching <uuid> from the history

gpaste-client file <path>
    Put the content of the file at <path> into the clipboard

command | gpaste-client
    Put the output of the command into the history

gpaste-client empty
    Empty the history

gpaste-client start
    Start tracking clipboard changes

gpaste-client stop
    Stop tracking clipboard changes

gpaste-client upload <uuid>
    Upload the item matching <uuid> to a pastebin service

gpaste-client ui
    Launch the graphical tool

gpaste-client daemon-reexec
    Reexecute the daemon, for example after upgrading GPaste

gpaste-client settings
    Launch the configuration tool

gpaste-client version
    Display the version

gpaste-client daemon-version
    Display the daemon version

gpaste-client help
    Display the help

gpaste-client about
    Display the about dialog

gpaste-client show-history
    Make the applet or extension display the history

OPTIONS

--use-index
    Use the item index instead of its uuid

--oneline
    Display each item on one line, without new lines

--raw
    Display the item raw (without index)

--reverse
    Display the items in reverse order

--zero
    Use NUL character instead of new lines between each item